summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-02-08 21:20:28 +0000
committer Eric Hameleers <alien@slackware.com>2020-02-09 08:59:49 +0100
commit83ec0a78cbc3542992d00ec84a7fa9bd649d7ef5 (patch)
treeedc1778c859a089f97aceeeb604db85ea5e9b25c /source/ap
parent080300e1e7dec7bb1a6297b5a4406e2c0be46048 (diff)
downloadcurrent-83ec0a78cbc3542992d00ec84a7fa9bd649d7ef5.tar.gz
current-83ec0a78cbc3542992d00ec84a7fa9bd649d7ef5.tar.xz
Sat Feb 8 21:20:28 UTC 202020200208212028
a/bash-5.0.016-x86_64-1.txz: Upgraded. a/kernel-firmware-20200207_6f89735-noarch-1.txz: Upgraded. ap/nvme-cli-1.10.1-x86_64-1.txz: Added. d/gdb-9.1-x86_64-1.txz: Upgraded. l/ConsoleKit2-1.2.1-x86_64-1.txz: Upgraded. l/imagemagick-7.0.9_22-x86_64-1.txz: Upgraded. l/mozilla-nss-3.50-x86_64-1.txz: Upgraded. Upgraded to nss-3.50 and nspr-4.25. l/readline-8.0.004-x86_64-1.txz: Upgraded. n/libgpg-error-1.37-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/nvme-cli/nvme-cli.SlackBuild125
-rw-r--r--source/ap/nvme-cli/nvme-cli.url1
-rw-r--r--source/ap/nvme-cli/slack-desc19
3 files changed, 145 insertions, 0 deletions
diff --git a/source/ap/nvme-cli/nvme-cli.SlackBuild b/source/ap/nvme-cli/nvme-cli.SlackBuild
new file mode 100755
index 000000000..2d6ebd139
--- /dev/null
+++ b/source/ap/nvme-cli/nvme-cli.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=nvme-cli
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Build and install:
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" PREFIX=/usr SBINDIR=/usr/sbin || exit 1
+make install CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" PREFIX=/usr SBINDIR=/usr/sbin DESTDIR=$PKG || exit 1
+
+# Don't ship build-host specific files:
+rm -f $PKG/etc/nvme/*
+
+# Don't ship systemd udev rules:
+rm -r $PKG/etc/udev
+
+# Remove dracut and system libdir files:
+rm -r $PKG/usr/lib/{dracut,systemd}
+rmdir $PKG/usr/lib 2> /dev/null
+
+# Move man pages:
+mv $PKG/usr/share/man $PKG/usr/man
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ CONTRIBUTING* LICENSE* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/ap/nvme-cli/nvme-cli.url b/source/ap/nvme-cli/nvme-cli.url
new file mode 100644
index 000000000..a02230df7
--- /dev/null
+++ b/source/ap/nvme-cli/nvme-cli.url
@@ -0,0 +1 @@
+https://github.com/linux-nvme/nvme-cli
diff --git a/source/ap/nvme-cli/slack-desc b/source/ap/nvme-cli/slack-desc
new file mode 100644
index 000000000..c6da79c64
--- /dev/null
+++ b/source/ap/nvme-cli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nvme-cli: nvme-cli (NVMe storage command line utility)
+nvme-cli:
+nvme-cli: The nvme program is a user space utility to provide standards
+nvme-cli: compliant tooling for NVM-Express drives. The utility has sub-commands
+nvme-cli: for all admin and io commands defined in the specification and for
+nvme-cli: displaying controller registers.
+nvme-cli:
+nvme-cli: Homepage: https://github.com/linux-nvme/nvme-cli
+nvme-cli:
+nvme-cli:
+nvme-cli: